Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1062292 - [RFE] add support for release version and content overrides to activation keys
Summary: [RFE] add support for release version and content overrides to activation keys
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 0.9
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-06 15:24 UTC by John Sefler
Modified: 2015-05-14 14:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-07 17:28:00 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1104638 None CLOSED hammer content-hosts and activation-keys missing content override 2019-01-24 21:28:17 UTC

Internal Links: 1104638

Description John Sefler 2014-02-06 15:24:21 UTC
Description of problem:

This work is scehduled for Dev Sprint 70
As a katello user, I would like activation keys to set the release version on a consumer.
As a katello user, I would like activation keys to set content overrides on a consumer.

Comment 1 Carter Kozak 2014-02-06 16:21:44 UTC
commit 4b4d3385579bc3f9a552b1293ab5f3d1bd5b6096
Author: ckozak <ckozak@redhat.com>
Date:   Wed Feb 5 09:49:07 2014 -0500

    javadoc. rename cp_consumer_content_override cp_content_override

commit 0c540c804818b9b0b70ed9a7c6fe4f32dc9e206e
Author: ckozak <ckozak@redhat.com>
Date:   Tue Feb 4 12:15:34 2014 -0500

    Added principal based security to match verify

commit 2e950b9ec419736bce115b2f20ff5ea16b56dcf5
Author: ckozak <ckozak@redhat.com>
Date:   Tue Feb 4 10:51:35 2014 -0500

    Add security hole where we validity ourselves
    
    Test that we're verifying consumer uuid when we modify
    content overrides

commit 68164fdcdc5677ec8c3bfd8527720c33c468efe1
Author: ckozak <ckozak@redhat.com>
Date:   Tue Feb 4 09:52:18 2014 -0500

    remove commented code

commit 9fcd152f64e174871b8921ff8f34ec3ec12dccd4
Author: ckozak <ckozak@redhat.com>
Date:   Thu Jan 23 16:03:30 2014 -0500

    fix liquibase script for mysql

commit 7cc061a9f1d8cbede60bc61b389bce9526f925ad
Author: ckozak <ckozak@redhat.com>
Date:   Tue Jan 21 08:48:20 2014 -0500

    updated some comments to reflect new abstract behavior

commit 821d788d36e80c550ea501bc80a0bf02d452a09f
Author: ckozak <ckozak@redhat.com>
Date:   Mon Jan 20 16:07:08 2014 -0500

    use separate columns for different types of contentoverride

commit 8a3a1da251673408fc630db35b455cd805b03315
Author: ckozak <ckozak@redhat.com>
Date:   Wed Jan 15 13:49:49 2014 -0500

    add overrides to activation keys

Comment 3 Bryan Kearney 2014-11-07 17:28:00 UTC
This feature has been delivered and satellite just finished exposing this as https://bugzilla.redhat.com/show_bug.cgi?id=1104638. I am gonna close this out as currnt release and let testing occur there.


Note You need to log in before you can comment on or make changes to this bug.